import{Button as t,Menu as e,Typography as r}from"@equinor/eds-core-react";export{Button}from"@equinor/eds-core-react";import{VARIANT_HELPER_COLORS as a,colors as i,VARIANT_COLORS as o}from"../../atoms/style/colors.js";import{spacings as n}from"../../atoms/style/spacings.js";import{Chip as s}from"../Chip/Chip.js";import l,{css as d}from"styled-components";const c=l.div`
  display: flex;
  flex-direction: column;
  gap: ${n.small};
`,p=l.span`
  display: flex;
  gap: ${n.small};
  align-items: center;
  margin-left: ${n.small};
  width: calc(100% - ${n.small});
  > label {
    margin: 0;
  }
  ${({$variant:t})=>t?d`
      > label {
        color: ${a[t]};
      }
      > svg {
        flex-shrink: 0;
        fill: ${a[t]};
      }
    `:""}
`,g=l.div`
  position: relative;
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  padding: 6px 8px;
  &:hover:not(:has(input:disabled)) {
    cursor: pointer;
  }

  ${({$variant:t})=>t?"dirty"===t?d`
        box-shadow: inset 0 -2px 0 0 ${o[t]};
        &:hover {
          box-shadow: inset 0 -2px 0 0 ${o[t]};
        }
      `:d`
      outline: 1px solid ${o[t]};
      &:hover {
        box-shadow: inset 0 -1px 0 0 ${o[t]};
      }
    `:d`
        box-shadow: inset 0 -1px 0 0 ${i.text.static_icons__tertiary.rgba};
        &:hover {
          box-shadow: inset 0 -2px 0 0 ${i.text.static_icons__tertiary.rgba};
        }
      `}

  ${({$lightBackground:t})=>t?`background-color: ${i.ui.background__default.rgba}`:`background-color: ${i.ui.background__light.rgba}`};

  &[aria-expanded='true'] {
    box-shadow: inset 0 -2px 0 0 ${i.interactive.primary__resting.rgba};
  }
  &:has(input:disabled) {
    outline: none;
    box-shadow: none;
  }

  > svg[role='progressbar'] {
    overflow: unset;
  }
  > svg:not([role='progressbar']) {
    cursor: pointer;
    &:hover {
      background: ${i.interactive.primary__hover_alt.rgba};
      border-radius: 50%;
    }
  }

  &:has(input:disabled) {
    cursor: not-allowed;
    box-shadow: none;
    > svg:not([role='progressbar']) {
      cursor: not-allowed;
      fill: ${i.interactive.disabled__text.rgba};
      &:hover {
        background: transparent;
      }
    }
    > label {
      color: ${i.interactive.disabled__text.rgba};
    }
  }

  &:has(button#clear) {
    > section {
      width: calc(100% - 24px);
    }
  }
`,b=l.section`
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: ${n.x_small};
  min-height: 24px;
  input[type='search'] {
    background: transparent;
    width: 0;
    flex-grow: 1;
    padding: 0;
    font-family: 'Equinor', sans-serif;
    color: ${i.text.static_icons__default.rgba};
    outline: none;
    border: none;
  }
  input[type='search']:disabled {
    cursor: not-allowed;
  }
  input[type='search']::-webkit-search-decoration,
  input[type='search']::-webkit-search-cancel-button,
  input[type='search']::-webkit-search-results-button,
  input[type='search']::-webkit-search-results-decoration {
    appearance: none;
  }
  &:has(input:disabled) {
    > p {
      color: ${i.interactive.disabled__text.rgba};
    }
    > .amplify-combo-box-chip {
      cursor: not-allowed;
      background: ${i.interactive.disabled__fill.rgba};
      color: ${i.interactive.disabled__text.rgba};
      > svg {
        fill: ${i.interactive.disabled__text.rgba};
        &:hover {
          cursor: not-allowed;
          background: none;
        }
      }
    }
  }
`,h=l(t)`
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  right: 32px;
  width: 24px;
  height: 24px;
  svg {
    fill: ${i.text.static_icons__secondary.rgba};
  }
  &:after {
    width: 24px;
    height: 24px;
    left: 0;
  }
`,u=l(s)`
  background: ${({$tryingToRemove:t,$lightBackground:e})=>t?i.interactive.primary__hover_alt.rgba:e?i.ui.background__light.rgba:i.ui.background__default.rgba} !important;
`,x=l(e.Item)`
  flex-grow: 1;
  border-radius: 2px;
  ${({$paddedLeft:t})=>t&&"margin-left: 36px"};
  padding-left: 10px;

  > div {
    grid-auto-columns: auto;
    justify-content: flex-start;
  }

  &:hover {
    background: ${i.interactive.primary__hover_alt.rgba};
  }

  &:focus-visible {
    outline: 2px dashed ${i.interactive.primary__resting.rgba};
  }
`,m=l.hr`
  height: calc(100% + ${n.medium} * 2);
  justify-self: center;
  width: ${n.x_large};
`,_=l(r)`
  position: absolute;
  color: ${i.text.static_icons__tertiary.rgba};
  top: calc(50%);
  transform: translate(0, -50%);
`,f=l(_)`
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: ${i.text.static_icons__default.rgba};
  max-width: 100%;
`,$=l(r)`
  margin: ${n.medium};
`,v=l(r)`
  margin-left: ${n.medium};
`,w=l(e)`
  max-height: 20rem;
  max-width: inherit;
  overflow-y: auto;
  > div {
    width: inherit;
    max-width: inherit;
  }
`,y=l.div`
  display: flex;
  align-items: center;
  padding: 0 ${n.small};
`,k=l(t)`
  width: 36px;
  height: 36px;
`;export{h as ClearButton,g as Container,p as HelperWrapper,m as MenuItemSpacer,y as MenuItemWrapper,v as NoItemsFoundText,$ as NoTagFoundText,_ as PlaceholderText,b as Section,k as SmallButton,u as StyledChip,w as StyledMenu,x as StyledMenuItem,f as ValueText,c as Wrapper};
